Package org.eclipse.m2m.atl.emftvm.compiler

# Class AtlResourceImpl.EMFModelWrapper

java.lang.Object
org.eclipse.m2m.atl.core.emf.EMFModel
org.eclipse.m2m.atl.emftvm.compiler.AtlResourceImpl.EMFModelWrapper

All Implemented Interfaces:
  `IModel`

Enclosing class:
  AtlResourceImpl

public class AtlResourceImpl.EMFModelWrapper extends EMFModel
Wraps an `EMFModel` around this resource.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.core.emf.EMFModel

`elementsByType, referenceModel`

## Constructor Summary

Constructors
Constructor
Description
`EMFModelWrapper()`
Creates a new `AtlResourceImpl.EMFModelWrapper` around this resource.

## Method Summary

### Methods inherited from class org.eclipse.m2m.atl.core.emf.EMFModel

`commitToResource, finalize, getElementsByType, getModelFactory, getReferenceModel, getResource, isModelOf, isTarget, newElement, setIsTarget, setResource`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EMFModelWrapper

public EMFModelWrapper()
Creates a new `AtlResourceImpl.EMFModelWrapper` around this resource.